<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
</head>
<body>
   <script>
    const str = prompt("Введите вашу строку")
    function isAdult(str){
        if (str.indexOf(".xxx")!==-1){
            return true;
        } else return false;
    }
       console.log(isAdult(str));
    </script> 
</body>
</html>